<?php

/***************************************************************************

 archivednews_summary.php
 -------------------------
 copyright : (C) 2002-2003 The ezContents Development Team

 ***************************************************************************/

/***************************************************************************
 The ezContents Development Team offers no warranties on this script.
 The owner/licensee of the script is solely responsible for any problems
 caused by installation of the script or use of the script.

 All copyright notices regarding ezContents must remain intact on the
 scripts and in the HTML for the scripts.

 For more info on ezContents,
 visit http://www.ezcontents.org/

/***************************************************************************

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the License which can be found within the
 *   zipped package.
 *
 ***************************************************************************/

global $HTTP_SERVER_VARS;
if ( (substr($HTTP_SERVER_VARS["PHP_SELF"],-11) == 'control.php') ||
	 (substr($HTTP_SERVER_VARS["PHP_SELF"],-10) == 'module.php') ||
	 (substr($HTTP_SERVER_VARS["PHP_SELF"],-16) == 'showcontents.php') ) {
	 require_once('./modules/moduleSec.php');
} else {
	require_once('../moduleSec.php');
}

include_once ($GLOBALS["admin_home"]."compile.php");

$isodate = sprintf ("%04d-%02d-%02d", strftime("%Y"), strftime("%m"), strftime("%d"));
$strQuery = ModuleExpiredQuery($HTTP_POST_VARS["catcode"]);


$countres = dbRetrieve($strQuery,true,0,0);
$lRecCount = dbRowsReturned($countres);
dbFreeResult($countres);

$nCurrentPage = 0;
if ($HTTP_GET_VARS["page"] != "") { $nCurrentPage = $HTTP_GET_VARS["page"]; }
$nPages = intval(($lRecCount - 0.5) / $GLOBALS["scPerPage"]) + 1;
$lStartRec = $nCurrentPage * $GLOBALS["scPerPage"];
if ($nPages > 1) { SubModuleHdFt($nCurrentPage,$nPages); } else { echo '<br />'; }


$result = dbRetrieve($strQuery,true,$lStartRec,$GLOBALS["scPerPage"]);


?><center><?php
while ($rsContent = dbFetch($result)) {
	?>
	<table border="0" width="100%" cellspacing="1" cellpadding="3" class="headercontent">
		<tr><td class="header"><?php echo htmlspecialchars($rsContent["title"]); ?></td></tr>
		<tr><td class="tablecontent" valign="top">
				<?php
				$bEncodeHTML = true;
				if ($rsContent["teaser"] != '') {
					echo ext_print(compile($GLOBALS["tqBlock1"].'html'.$GLOBALS["tqBlock2"].$rsContent["teaser"].$GLOBALS["tqBlock1"].$GLOBALS["tqCloseBlock"].'html'.$GLOBALS["tqBlock2"], 'N', $GLOBALS["RestrictTags"], 'L'),$bEncodeHTML, 'L', $GLOBALS["RestrictTags"]);
					if ($rsContent["body"] != '') {
						if (($GLOBALS["gsUseFrames"] == 'Y') && ($EZ_SESSION_VARS["noframesbrowser"] != True)) {
							?><br /><a class="small" href="<?php echo BuildLink('module.php')?>&link=<?php echo $GLOBALS["modules_home"].$GLOBALS["ModuleRef"]; ?>/shownewsdetails.php&newsid=<?php echo $rsContent["newsid"]; ?>&rlink=<?php echo $HTTP_GET_VARS["link"]; ?>"><?php echo $GLOBALS["tReadMore"]; ?></a><?php
						} else {
							?><br /><a class="small" href="<?php echo BuildLink('control.php')?>&topgroupname=<?php echo $HTTP_POST_VARS["topgroupname"]; ?>&groupname=<?php echo $HTTP_POST_VARS["groupname"]; ?>&subgroupname=<?php echo $HTTP_POST_VARS["subgroupname"]; ?>&newsid=<?php echo $rsContent["newsid"]; ?>&link=<?php echo $GLOBALS["modules_home"].$GLOBALS["ModuleRef"]; ?>/shownewsdetails.php&rlink=<?php echo $HTTP_GET_VARS["link"]; ?>"><?php echo $GLOBALS["tReadMore"]; ?></a><?php
						}
					}
				} else {
					echo ext_print(compile($GLOBALS["tqBlock1"].'html'.$GLOBALS["tqBlock2"].$rsContent["body"].$GLOBALS["tqBlock1"].$GLOBALS["tqCloseBlock"].'html'.$GLOBALS["tqBlock2"], 'N', $GLOBALS["RestrictTags"], 'L'),$bEncodeHTML, 'L', $GLOBALS["RestrictTags"]);
					if ($rsContent["contactname"] != '') { echo '<br /><b>'.$GLOBALS["tContact"].':</b> '.htmlspecialchars($rsContent["contactname"]); }
					if ($rsContent["contactemail"] != '') { echo '<br /><b>'.$GLOBALS["tEMail"].':</b> <a href="mailto:'.htmlspecialchars($rsContent["contactemail"]).'?subject='.htmlspecialchars($rsContent["title"]).'">'.htmlspecialchars($rsContent["contactemail"]).'</a>'; }
					if ($rsContent["web_page"] != '') { echo '<br /><b>'.$GLOBALS["tWebPage"].':</b> <a href="'.htmlspecialchars($rsContent["web_page"]).'" target="_blank">'.htmlspecialchars($rsContent["web_page"]).'</a>'; }
				}
				ShowContentFooter($GLOBALS["scPostedDate"],$GLOBALS["scPostedBy"],$rsContent);
				?>
	</table>
	<br />
	<?php
}
dbFreeResult($result);

?></center><?php

if ($nPages > 1) {
	SubModuleHdFt($nCurrentPage,$nPages);
}

?>
